/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.tutorial.uc0001;

import jp.terasoluna.fw.batch.openapi.JobContext;

/**
 * 親ジョブ用ジョブコンテキスト。
 */
public class JB0003JobContext extends JB0001JobContext {

    /**
     * Serializable用バージョンID。
     */
    private static final long serialVersionUID = 311742479171997186L;
    
    /**
     * 子ジョブ用のジョブコンテキストを作成し、返す。
     * @param partitionKey 分割キー
     * @return 子ジョブのジョブコンテキスト
     */
    @Override
    public JobContext getChildJobContext(Object partitionKey) {
    
        //子ジョブ用のジョブコンテキストを作成する
        JB0001JobContext childJobContext = new JB0001JobContext();
        childJobContext.setJobId(super.getJobId());
        childJobContext.setJobRequestNo(super.getJobRequestNo());
        childJobContext.setRestarted(super.isRestarted());
        childJobContext.setStartType(super.getStartType());
        childJobContext.setUnyohiduke(super.getUnyohiduke());
        
        //分割キーを設定する
        childJobContext.setPartitionKey((String)partitionKey);
        
        return childJobContext;
    }
}
